# Bluetooth tethering set state

An action block that enables or disables Bluetooth tethering.

The fiber will proceed immediately if Bluetooth is enabled, otherwise pause until it’s been enabled and the tethering has been enabled or disabled.

This block may cause a `SecurityException` failure or otherwise refuse to work on devices where the manufacturer or carrier has disabled tethering, if so try another Bluetooth tethering workaround option in settings.

Note! This feature isn’t officially supported, may not work on all devices.

## Input arguments

- Bluetooth tethering — whether to enable or disable Bluetooth tethering, default is disable.